Skip to main content
Returns the value from a storage position at a given address.
Flashblocks: Query https://mainnet-preconf.base.org with "pending" to read storage updated by pre-confirmed transactions every ~200ms.

Parameters

address
string
required
The 20-byte address of the storage.
position
string
required
The storage slot position as a hexadecimal integer.
block
string
required
Block number in hex, or "latest", "pending", "safe", "finalized", "earliest".

Returns

result
string
The value at the storage position as a 32-byte hex string.

Example

curl https://mainnet.base.org \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_getStorageAt",
    "params": ["0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "0x0", "latest"],
    "id": 1
  }'